import { includeIgnoreFile } from '@eslint/compat';
import { existsSync } from 'node:fs';
import path from 'node:path';
/** Include ignore patterns from `.gitignore` at project root */
const gitignorePath = path.join(process.cwd(), '.gitignore');
const gitignore = existsSync(gitignorePath) ? includeIgnoreFile(gitignorePath) : {};
export default gitignore;
